package ejbs;

import entities.Course;
import entities.Student;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
public class JavaEEPersistBean implements JavaEEPersistRemote {
    
    @PersistenceContext(unitName="onetomany")
    EntityManager em;
    
    public JavaEEPersistBean() {
    }
    
    public void persistCourse(Course course) {
        em.persist(course);
    }

    public void persistStudent(Student student) {
        em.persist(student);
    }

    public Course getCourse(int id) {
        Course course = em.find(Course.class, id);
        //Just doing some action on the students collection so that it is loaded.
        course.getStudents().size();
        return course;
    }
    
}
